org.wso2.carbon.module.mgt.ui.client

## Class ModuleManagementClient

- java.lang.Object
- - org.wso2.carbon.module.mgt.ui.client.ModuleManagementClient

-     public class ModuleManagementClient
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceStub` | `stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleManagementClient(org.apache.axis2.context.ConfigurationContext configCtx, String backendServerURL, String cookie, boolean mtom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `disengageModuleForOperation(String moduleId, String serviceName, String operationName)`
    `boolean` | `disengageModuleForService(String moduleId, String serviceName)`
    `boolean` | `disengageModuleForServiceGroup(String moduleId, String serviceGroup)`
    `boolean` | `engageModuleForOperation(String moduleId, String serviceName, String operationName)`
    `boolean` | `engageModuleForService(String moduleId, String serviceName)`
    `boolean` | `engageModuleForServiceGroup(String moduleId, String serviceGroup)`
    `org.wso2.carbon.module.mgt.stub.types.ModuleMetaData` | `getModuleInfo(String moduleName, String moduleVersion)`
    `List<Parameter>` | `getModuleParameters(String moduleName, String moduleVersion)`
    `boolean` | `globallyDisengageModule(String moduleId)`
    `boolean` | `globallyEngageModule(String moduleId)`
    `org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[]` | `listGloballyEngagedModules()`
    `org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[]` | `listModules()`
    `org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[]` | `listModulesForOperation(String serviceName, String operationName)`
    `org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[]` | `listModulesForService(String serviceName)`
    `org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[]` | `listModulesForServiceGroup(String serviceGroupName)`
    `String` | `removeModule(String moduleId)`
    `String` | `removeModuleParameter(String moduleName, String moduleVersion, String paramName)`
    `void` | `setModuleParameters(String moduleName, String moduleVersion, List<String> params)`
    `void` | `uploadService(org.wso2.carbon.module.mgt.stub.types.ModuleUploadData[] moduleUploadData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stub

          public org.wso2.carbon.module.mgt.stub.ModuleAdminServiceStub stub

  - ### Constructor Detail

    - #### ModuleManagementClient

          public ModuleManagementClient(org.apache.axis2.context.ConfigurationContext configCtx,
                                        String backendServerURL,
                                        String cookie,
                                        boolean mtom)
                                 throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getModuleInfo

          public org.wso2.carbon.module.mgt.stub.types.ModuleMetaData getModuleInfo(String moduleName,
                                                                                    String moduleVersion)
                                                                             throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### uploadService

          public void uploadService(org.wso2.carbon.module.mgt.stub.types.ModuleUploadData[] moduleUploadData)
                             throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### listModules

          public org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[] listModules()
                                                                             throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### listModulesForOperation

          public org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[] listModulesForOperation(String serviceName,
                                                                                                String operationName)
                                                                                         throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### listModulesForService

          public org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[] listModulesForService(String serviceName)
                                                                                       throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### listModulesForServiceGroup

          public org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[] listModulesForServiceGroup(String serviceGroupName)
                                                                                            throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### listGloballyEngagedModules

          public org.wso2.carbon.module.mgt.stub.types.ModuleMetaData[] listGloballyEngagedModules()
                                                                                            throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### globallyEngageModule

          public boolean globallyEngageModule(String moduleId)
                                       throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### globallyDisengageModule

          public boolean globallyDisengageModule(String moduleId)
                                          throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### engageModuleForOperation

          public boolean engageModuleForOperation(String moduleId,
                                                  String serviceName,
                                                  String operationName)
                                           throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### disengageModuleForOperation

          public boolean disengageModuleForOperation(String moduleId,
                                                     String serviceName,
                                                     String operationName)
                                              throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### engageModuleForService

          public boolean engageModuleForService(String moduleId,
                                                String serviceName)
                                         throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### disengageModuleForService

          public boolean disengageModuleForService(String moduleId,
                                                   String serviceName)
                                            throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### engageModuleForServiceGroup

          public boolean engageModuleForServiceGroup(String moduleId,
                                                     String serviceGroup)
                                              throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### disengageModuleForServiceGroup

          public boolean disengageModuleForServiceGroup(String moduleId,
                                                        String serviceGroup)
                                                 throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### setModuleParameters

          public void setModuleParameters(String moduleName,
                                          String moduleVersion,
                                          List<String> params)
                                   throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### getModuleParameters

          public List<Parameter> getModuleParameters(String moduleName,
                                                     String moduleVersion)
                                              throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### removeModule

          public String removeModule(String moduleId)
                              throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

    - #### removeModuleParameter

          public String removeModuleParameter(String moduleName,
                                              String moduleVersion,
                                              String paramName)
                                       throws org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

      Throws:
        `org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException`

Copyright © 2023 WSO2. All rights reserved.